Package org.h2.test.db

# Class TestRights.TestTrigger

java.lang.Object
org.h2.test.db.TestRights.TestTrigger

All Implemented Interfaces:
  `Trigger`

Enclosing class:
  `TestRights`

public static class TestRights.TestTrigger extends Object implements Trigger

## Field Summary

### Fields inherited from interface org.h2.api.Trigger

`DELETE, INSERT, SELECT, UPDATE`

## Constructor Summary

Constructors
Constructor
Description
`TestTrigger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`fire(Connection conn, Object[] oldRow, Object[] newRow)`
This method is called for each triggered action.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.Trigger

`close, init, remove`

## Constructor Details

### TestTrigger

public TestTrigger()

## Method Details

### fire

public void fire(Connection conn, Object[] oldRow, Object[] newRow) throws SQLException
Description copied from interface: `Trigger`
This method is called for each triggered action. The method is called immediately when the operation occurred (before it is committed). A transaction rollback will also rollback the operations that were done within the trigger, if the operations occurred within the same database. If the trigger changes state outside the database, a rollback trigger should be used.

The row arrays contain all columns of the table, in the same order as defined in the table.

The trigger itself may change the data in the newRow array.

Specified by:
  `fire` in interface `Trigger`
Parameters:
  `conn` - a connection to the database
  `oldRow` - the old row, or null if no old row is available (for INSERT)
  `newRow` - the new row, or null if no new row is available (for DELETE)
Throws:
  `SQLException` - if the operation must be undone